forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject Re: problem with feeder plugin
Date Wed, 04 Nov 2009 07:02:44 GMT
Vicent Mas wrote:
> > Vicent Mas wrote: 
> > 
> > Thanks for following up onlist, this makes it easier for those coming
> > after you. Clearly the documentation is not very clear, if you can
> > provide a patch for the plugins documentation that would be very much
> > appreciated.
> 
> Well, I cannot do it for the pluginS but I can for the feeder plugin :-). When 
> doing it I've realized that in page
> 
> http://forrest.apache.org/pluginDocs/plugins_0_90/index.html

That is a generated page.

> most of plugin links (including the feeder plugin) are pointing to 0_80 docs. 

Yes, only plugins that require 0.9-dev (trunk) functionality are
deployed to the 0_90 space. Otherwise the 0_80 will work
with both.

See the "forrestVersion" attribute in
$FORREST_HOME/plugins/plugins.xml
$FORREST_HOME/whiteboard/plugins/whiteboard-plugins.xml
which is reflected in "Minimum Forrest version required" rows
in the table at http://forrest.apache.org/pluginDocs/plugins_0_90/

> I've done a patch for the current revision of trunk, r832303. The patch has to 
> be applied to feeder_dir/src/documentation/content/xdocs/index.xml
> 
> I also dowloaded the current official release tarball for linux but I cannot find 
> the plugin sources there. So I've not pached it for the 0.80 version.

That is because code for all plugins is in the SVN trunk,
and installations based on releases will download the plugins from
apache.org as required.

So you did patch the correct source. When the changes are applied
and the plugin "deployed", then that will update the plugin docs
at the 0_80 space (as explained above).

-David

Mime
View raw message